Support » Plugin: Yoast SEO » Fatal Error unable to delete old version

Viewing 15 replies - 1 through 15 (of 17 total)
  • Same error here just today, WP 3.8 with Polylang (2 languages)…

    Fatal error: Call to undefined function schedule_yoast_tracking() in public_html/wordpress/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 29

    i cannot even activate the plugin!

    Same here

    Plugin could not be activated because it triggered a fatal error.

    Fatal error: Call to undefined function schedule_yoast_tracking() in blah/html/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 29

    NOOO!!!!

    Yup same here.

    Line refers to ‘get_post_custom’.

    Same after upgrade to WP 3.8.

    Fatal error: Call to undefined function schedule_yoast_tracking() in /var/www/public_html/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 29

    Please help!

    Same for WP 3.7.1 Plugin 1.4.20

    Fatal error: Call to undefined function schedule_yoast_tracking()...

    please fix this problem, same here

    From github, they are fixing this issue.

    Found a solution!!!

    wpseo-functions.php has the function schedule_yoast_tracking()
    so i linked wpseo-functions.php to wpseo-non-ajax-functions.php

    just add
    require_once( WPSEO_PATH . 'inc/wpseo-functions.php' );
    after
    require_once( WPSEO_PATH . 'inc/class-sitemap-walker.php' );

    example:

    <?php
    /**
     * @package Internals
     */
    
    require_once( WPSEO_PATH . 'inc/class-sitemap-walker.php' );
    require_once( WPSEO_PATH . 'inc/wpseo-functions.php' );
    
    if ( ! defined( 'WPSEO_VERSION' ) ) {
    	header( 'HTTP/1.0 403 Forbidden' );
    	die;
    }
    
    /**
     * Flush the rewrite rules.
     */

    Regards Kevin Da Thesta – Vedicom Security Systems

    Chris Thomas

    (@chrisstreetcreditscouk)

    Same issue: Call to undefined function schedule_yoast_tracking()

    Does anyone have a fix for this error?

    Chris Thomas

    (@chrisstreetcreditscouk)

    I tried to download the new WordPress and when I reactivated my plugins I received this error: Call to undefined function schedule_yoast_tracking()

    same error here, only on WordPress 3.8
    when activating the plugin

    Fatal error: Call to undefined function schedule_yoast_tracking() in /home/house/public_html/wp-content/plugins/wordpress-seo/inc/wpseo-non-ajax-functions.php on line 29

    same error here, using WordPress 3.8, brand new site, no other plugins installed.

    Yay they updated it! Thank god 🙂

    for me not working same error

    the new version 1.4.21 not helping me and this Code require_once( WPSEO_PATH . ‘inc/class-sitemap-walker.php’ ); dont work for me.

Viewing 15 replies - 1 through 15 (of 17 total)
  • The topic ‘Fatal Error unable to delete old version’ is closed to new replies.